{% extends 'base.html' %}


        {% block content %}
        <main>
            <div>
                <h1>My Projects</h1>
                <p><a href="{% url 'create_project' %}">Create a new project</a></p>
                {% if projects %}
                    <table>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                {% for project in projects %}
                <tr>
                    <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                    <td>{{ project.tasks.all|length }}</td>
                </tr>
                {% endfor %}
                    </table>
                    {% else %}
                    <p> You are not assigned to any projects</p>
                    {% endif %}
            </div>
        </main>
        {% endblock content %}
